Subject: Re:OODB

From: [email-masked] (Geoff Lee)
Date: Thu, 17 Oct 91 17:57:21 -0700

Rumbaugh's book is "Object-Oriented Modeling and Design", Prentice-Hall,1991.
I teach a graduate school course on object-oriented GUI, and have collected
several books on object-oriented approach. IMO, the methodology this book
presents is clear and formal, it covers life cycle activities of analysis,
design, and implementation, the mapping from one phase to the next, and
the three orthogonal aspects of its methodology (object modeling,
dynamic modeling - state diagrams, and functional modeling - data flow diagrams)